#
# spec file for package devedeng
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           devedeng
Version:        4.8.12
Release:        1.1
Summary:        Video DVD creator
License:        GPL-3.0+
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.rastersoft.com/programas/devede.html
Source0:        https://github.com/rastersoft/devedeng/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
BuildRequires:  python3-base
BuildRequires:  update-desktop-files
# Check list of dependencies:
BuildRequires:  dbus-1-python3
BuildRequires:  python3-cairo
BuildRequires:  python3-gobject
BuildRequires:  python3-gobject-cairo
BuildRequires:  python3-pip
BuildRequires:  python3-setuptools
#
Requires:       cdrkit-cdrtools-compat
Requires:       dbus-1-python3
Requires:       dvdauthor
Requires:       ffmpeg
Requires:       libgtk-3-0 >= 2.16.0
Requires:       mplayer
Requires:       python3-cairo
Requires:       python3-gobject
Requires:       python3-gobject-cairo
Requires:       python3-pip
Requires:       python3-setuptools
Requires:       vcdimager
Provides:       devede = %{version}
Obsoletes:      devede < %{version}
BuildArch:      noarch

%description
DevedeNG is a program to create video DVDs and CDs (VCD, sVCD or CVD),
suitables for home players, from any number of video files, in any of the
formats supported by Mplayer.

%lang_package

%prep
%setup -q

%build
# There is nothing to build.

%install
python3 setup.py install --root=%{buildroot}

install -d %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
mv %{buildroot}%{_datadir}/{pixmaps,icons/hicolor/scalable/apps}/%{name}.svg
%suse_update_desktop_file -r devede_ng.py AudioVideo AudioVideoEditing

# Fix: non-executable-script
pushd %{buildroot}%{python3_sitelib}
for _file in $(grep -rl '^\#\!'); do
  find -name ${_file##*/} -type f -perm -644 -exec sed '/^\#\!/d' -i {} \;
done
%py3_compile .
popd


%fdupes -s %{buildroot}%{_datadir}
%find_lang %{name}

%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%doc COPYING HISTORY* README*
%{python3_sitelib}/devedeng/
%{python3_sitelib}/devedeng-%{version}-*.egg-info
%{_bindir}/copy_files_verbose.py
%{_bindir}/devede_ng.py
%{_datadir}/applications/devede_ng.py.desktop
%{_datadir}/devedeng/
%{_datadir}/doc/devedeng/
%{_datadir}/icons/hicolor/*/apps/devedeng*.??g
%{_mandir}/man?/devede.?%{ext_info}

%files lang -f %{name}.lang

%changelog
* Mon Jan 22 2018 avvissu@yandex.by
- Update to 4.8.12:
  * see: /usr/share/doc/packages/devedeng/HISTORY
- Add README.md file
- Spec file cleanup
* Mon Nov 27 2017 avvissu@yandex.by
- Update to 4.8.10:
  * see: /usr/share/doc/packages/devedeng/HISTORY
* Tue Jul 11 2017 avvissu@yandex.by
- Update to 4.8.9:
  * see: /usr/share/doc/packages/devedeng/HISTORY
* Wed Feb  8 2017 avvissu@yandex.by
- Update to 4.8.8:
  * see: /usr/share/doc/packages/devedeng/HISTORY
* Wed Jan 11 2017 avvissu@yandex.by
- Update to 4.8.6:
  * see: /usr/share/doc/packages/devedeng/HISTORY
- Check list of dependencies
- Fix: non-executable-script
- Spec file cleanup
* Sun Apr 17 2016 joerg.lorenzen@ki.tng.de
- Update to version 4.6.1
  * Fixed translations.
- Version 4.6.0
  * Fixed a bug when using the Play all option on menus with
    several pages.
  * Updated italian translation.
* Sat Mar 12 2016 avvissu@yandex.ru
- Add Requires: python3-gobject-cairo
* Thu Feb  4 2016 avvissu@yandex.ru
- Update to 4.5.0:
  * see: /usr/share/doc/packages/devedeng/HISTORY
* Thu Dec 10 2015 avvissu@yandex.ru
- Remove Requires: mpv
* Sun Nov 29 2015 avvissu@yandex.ru
- Update to 4.4.0:
  * see: /usr/share/doc/packages/devedeng/HISTORY
- Add Requires: mpv
* Sat Nov 28 2015 avvissu@yandex.ru
- Add Requires: python3-cairo
* Sun Nov  8 2015 avvissu@yandex.ru
- Update to 4.3.2:
  * see: /usr/share/doc/packages/devedeng/HISTORY
- Fix: no module named 'devedeng.help'
- Add manpage
* Thu Nov  5 2015 avvissu@yandex.ru
- Initial package
